CP(1)

BEZEICHNUNG
cp - Dateien und Verzeichnisse kopieren

ÜBERSICHT
cp [OPTION]… [-T] QUELLE ZIEL
cp [OPTION]… QUELLE… VERZEICHNIS
cp [OPTION]… -t VERZEICHNIS QUELLE…

BESCHREIBUNG

Kopieren von QUELLE nach ZIEL oder mehrere QUELLE(n) in VERZEICHNIS.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-a, --archive
    Genau wie -dR --preserve=all

--attributes-only
    Die Daten der Datei nicht kopieren, nur die Attribute

--backup[=STEUERUNG]
    Eine Sicherungskopie von jeder vorhandenen Zieldatei erstellen

-b  Wie --backup, akzeptiert aber kein Argument

--copy-contents
    Wenn rekursiv, Inhalt von Spezialdateien kopieren

-d  Genau wie --no-dereference --preserve=links

--debug
    Erklären, wie eine Datei kopiert wird. Impliziert -v

-f, --force
    Wenn eine existierende Zieldatei nicht geöffnet werden kann, löschen und erneut versuchen (dies wird bei Verwendung der Option -n ignoriert)

-i, --interactive
    Vor einem Überschreiben nachfragen (setzt eine vorangehende Option -n außer Kraft)

-H  Symbolischen Verweisen folgen, die auf der Befehlszeile als QUELLE angegeben sind

-l, --link
    Harte Dateiverweise erstellen statt zu kopieren

-L, --dereference
    Symbolischen Verweisen in QUELLE immer folgen

-n, --no-clobber
    überschreibt keine existierenden Dateien (setzt die Option -u oder eine vorangehende Option -i außer Kraft). Siehe auch --update.

-P, --no-dereference
    Symbolischen Verweisen in QUELLE nie folgen

-p  Genau wie --preserve=mode,ownership,timestamps

--preserve[=ATTR_LISTE]
    Angegebene Attribute erhalten

--no-preserve=ATTR_LISTE
    Angegebene Attribute nicht erhalten

--parents
    Vollständigen Dateinamen der Quelle in VERZEICHNIS benutzen

-R, -r, --recursive
    Verzeichnisse rekursiv kopieren

--reflink[=WANN]
    Steuert Klon-/CoW-(»Copy-on-Write«)-Kopien. Siehe unten

--remove-destination
    Jede existierende Zieldatei löschen, bevor versucht wird, sie zu öffnen (vergleiche --force)

--sparse=WANN
    Die Erstellung von Sparse-Dateien steuern. Siehe unten

--strip-trailing-slashes
    Schrägstriche am Ende jedes QUELLE‐Arguments entfernen

-s, --symbolic-link
    Symbolische Verweise erzeugen anstatt zu kopieren

-S, --suffix=ENDUNG
    überschreibt die übliche Endung für Sicherungskopien.

-t, --target-directory=VERZEICHNIS
    kopiert alle QUELLE‐Argumente in VERZEICHNIS.

-T, --no-target-directory
    ZIEL als normale Datei behandeln

--update[=AKTUALISIERUNG]
    steuert, welche vorhandenen Dateien aktualisiert werden; AKTUALISIERUNG={all,none,older(default)}. Siehe unten.

-u  ist gleichbedeutend mit --update[=older].

-v, --verbose
    Durchgeführte Tätigkeiten erklären

-x, --one-file-system
    In diesem Dateisystem verbleiben

-Z  Den SELinux-Sicherheitskontext der Zieldatei auf den vorgegebenen Typ setzen

--context[=KTX]
    Wie -Z, oder falls KTX angegeben ist, wird der SELinux- oder SMACK-Sicherheitskontext auf KTX gesetzt.

--help
    zeigt Hilfeinformationen an und beendet das Programm.

--version
    gibt Versionsinformationen aus und beendet das Programm.

Die ATTRIBUTLISTE ist eine durch Kommata getrennte Liste von Attributen. Die Attribute sind »mode« für die Zugriffsrechte (einschließlich eventueller ACL- und xattr-Zugriffsrechte), »ownership« für Benutzer und Gruppe, »timestamps« für die Zeitstempel der Datei, »links« für harte Links, »context« für den Sicherheitskontext, »xattr« für erweiterte Attribute und »all« für alle Attribute.

Standardmäßig werden Sparse-Dateien in der QUELLE von einer kruden Heuristik erkannt, die korrespondierende ZIEL-Datei wird dann ebenfalls als Sparse-Datei angelegt. Dieses Verhalten wird durch --sparse=auto ausgewählt. Geben Sie --sparse=always an, um die ZIEL-Datei als Sparse-Datei zu erstellen, wenn die QUELL-Datei eine ausreichend lange Folge von Nullbytes aufweist. Verwenden Sie --sparse=never, um die Erstellung von Sparse-Dateien zu verhindern.

Die angegebene AKTUALISIERUNG steuert, welche im Ziel vorhandenen Dateien ersetzt werden. »all« ist die Standardaktion, wenn keine --update-Option angegeben ist, und führt dazu, dass alle im Ziel vorhandenen Dateien ersetzt werden. »none« ist ähnlich zur Option --no-clobber, in der einerseits keine Dateien im Ziel ersetzt werden, aber übersprungene Dateien auch keinen Fehler verursachen. »older« ist die Standardaktion, wenn --update angegeben ist, und führt dazu, dass Dateien ersetzt werden, sofern diese älter sind als die entsprechende Quelldatei.

Wenn --reflink[=//,always] angegeben wurde, wird eine leichtgewichtige Kopie erstellt, bei der die Datenblöcke nur dann kopiert werden, wenn diese geändert wurden. Falls dies nicht möglich ist, schlägt das Kopieren fehl. Falls --reflink=//,auto angegeben wurde, wird in diesem Fall eine Standardkopie erstellt. Verwenden Sie --reflink=never, um sicherzustellen, dass eine Standardkopie durchgeführt wird.

Die Endung für Sicherheitskopien ist »~«, außer wenn sie mit --suffix oder SIMPLE_BACKUP_SUFFIX gesetzt wurde. Die Methode der Versionssteuerung kann mit der Option --backup oder der Umgebungsvariablen VERSION_CONTROL ausgewählt werden. Mögliche Werte sind:

none, off
    erstellt niemals Sicherheitskopien (selbst wenn --backup angegeben wurde).

numbered, t
    erstellt nummerierte Sicherheitskopien.

existing, nil
    erstellt nummerierte (»numbered«) Sicherheitskopien, wenn solche existieren, sonst einfache (»simple«).

simple, never
    erstellt immer einfache Sicherheitskopien.

Als Spezialfall erzeugt cp eine Sicherheitskopie von QUELLE, wenn die Optionen »force« und »backup« angegeben wurden und QUELLE und ZIEL der gleiche Name für eine existierende reguläre Datei sind.

AUTOR
Geschrieben von Torbjörn Granlund, David MacKenzie und Jim Meyering.

FEHLER MELDEN
Onlinehilfe für GNU coreutils: https://www.gnu.org/software/coreutils/
Melden Sie Fehler in der Übersetzung an das deutschsprachige Team beim GNU Translation Project (https://translationproject.org/team/de.html).

COPYRIGHT
Copyright © 2023 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 (https://gnu.org/licenses/gpl.html) oder neuer.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
Vollständige Dokumentation unter: <https://www.gnu.org/software/coreutils/cp>
oder lokal verfügbar mit: info '(coreutils) cp invocation'

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Piefel <piefel@debian.org>, Michael Schmidt <michael@guug.de>, Mario Blättermann <mario.blaettermann@gmail.com> und Dr. Tobias Quathamer <toddy@debian.org> erstellt.

Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 (https://www.gnu.org/licenses/gpl-3.0.html) oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen.

Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an die Mailingliste der Übersetzer (debian-l10n-german@lists.debian.org).